# Form implementation generated from reading ui file 'src/eric7/QtHelpInterface/HelpTopicDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HelpTopicDialog(object):
    def setupUi(self, HelpTopicDialog):
        HelpTopicDialog.setObjectName("HelpTopicDialog")
        HelpTopicDialog.resize(500, 300)
        self.verticalLayout = QtWidgets.QVBoxLayout(HelpTopicDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=HelpTopicDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.topicsList = QtWidgets.QListWidget(parent=HelpTopicDialog)
        self.topicsList.setAlternatingRowColors(True)
        self.topicsList.setObjectName("topicsList")
        self.verticalLayout.addWidget(self.topicsList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HelpTopicDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)
        self.label.setBuddy(self.topicsList)

        self.retranslateUi(HelpTopicDialog)
        self.buttonBox.accepted.connect(HelpTopicDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HelpTopicDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HelpTopicDialog)
        HelpTopicDialog.setTabOrder(self.topicsList, self.buttonBox)

    def retranslateUi(self, HelpTopicDialog):
        _translate = QtCore.QCoreApplication.translate
        HelpTopicDialog.setWindowTitle(_translate("HelpTopicDialog", "Select Help Topic"))
        self.label.setText(_translate("HelpTopicDialog", "&Topics:"))
        self.topicsList.setSortingEnabled(True)
